summaryrefslogtreecommitdiffstats
path: root/lib/overcloud-deploy-functions.sh
diff options
context:
space:
mode:
authorMichael Chapman <michapma@redhat.com>2016-07-21 18:44:33 +0000
committerGerrit Code Review <gerrit@172.30.200.206>2016-07-21 18:44:33 +0000
commit74c3a21e33e9eb3d69024c00fece652d86d8fd38 (patch)
treed3d4f8424a88c452dce2e49e7e2a37ed4e675596 /lib/overcloud-deploy-functions.sh
parentcb9a04dcca7ce267650f77682910b1a98da34a54 (diff)
parent255f5ea0e592dcc86bc24121bf9e00e29f62f573 (diff)
Merge "Fixes unable to upload glance images on undercloud"
Diffstat (limited to 'lib/overcloud-deploy-functions.sh')
-rwxr-xr-xlib/overcloud-deploy-functions.sh4
1 files changed, 4 insertions, 0 deletions
diff --git a/lib/overcloud-deploy-functions.sh b/lib/overcloud-deploy-functions.sh
index c7177333..0c3f9d44 100755
--- a/lib/overcloud-deploy-functions.sh
+++ b/lib/overcloud-deploy-functions.sh
@@ -201,6 +201,10 @@ fi
source stackrc
set -o errexit
+# Workaround for APEX-207 where sometimes swift proxy is down
+if ! sudo systemctl status openstack-swift-proxy > /dev/null; then
+ sudo systemctl restart openstack-swift-proxy
+fi
echo "Uploading overcloud glance images"
openstack overcloud image upload